#version 330

layout(location=0) in vec2 position;
layout(location=1) in vec2 texc;

out vec2 texcoord;

uniform mat4 fullTransformMatrix;

void main()
{
        gl_Position = fullTransformMatrix * vec4( position, 0, 1 );
        texcoord = texc;
}

